Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCTokenManager

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCTokenManager

public class RPCTokenManager
extends java.lang.Object

Gestor de tokens

Constructor Summary
`RPCTokenManager()` Creates a new instance of RPCTokenManager

Method Summary
`static java.lang.String` | `generateToken(javax.servlet.http.HttpServletRequest request)` Guarda el token en la sesion, creando una nueva si es necesario
`static java.lang.String` | `getToken(javax.servlet.http.HttpServletRequest request)` Obtiene un token.
`static boolean` | `isTokenValid(javax.servlet.http.HttpServletRequest request)` Comprueba si el token enviado por un cliente es valido y se puede procesar la peticion Si no hay token o hay cualquier problema siempre se devuelve true...

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCTokenManager

    public RPCTokenManager()

  Creates a new instance of RPCTokenManager

Method Detail

### generateToken

    public static java.lang.String generateToken(javax.servlet.http.HttpServletRequest request)

  Guarda el token en la sesion, creando una nueva si es necesario

  Parameters:
    `request` - La request de la petición http
  Returns:
    el token

### getToken

    public static java.lang.String getToken(javax.servlet.http.HttpServletRequest request)

  Obtiene un token. Si no existe el contexto de la llamada RPC (es la primera llamada a la pagina) entonces se genera un nuevo token. Si existe el contexto de la llamada RPC (el token se ha generado ya en el RPCServlet) entonces se utiliza el token almacenado en la sesion

  Parameters:
    `request` - La request de la petición http
  Returns:
    el token

### isTokenValid

    public static boolean isTokenValid(javax.servlet.http.HttpServletRequest request)

  Comprueba si el token enviado por un cliente es valido y se puede procesar la peticion Si no hay token o hay cualquier problema siempre se devuelve true...

  Parameters:
    `request` - La request de la petición http
  Returns:
    true si el token es valido

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD